<template>
  <div class="entryDetails">
    <div class="logo-bg">
      <img v-if="settitle && settitle.topLogo" :src="settitle.topLogo" alt="">
    </div>
    <div class="main-con">
      <img src="../../../public/images/4.png" alt="">
    </div>
    <div class="confirm-btn">
      <p>
        <el-button type="primary" round style="padding: 8px 30px;" @click="nextStep">
          立即入驻&nbsp;&nbsp;<i class="el-icon-right"></i>
        </el-button>
      </p>
    </div>
  </div>
</template>

<script>
  import {indexInfo, companyCounsel, webSite, getdomain, getallCloudList} from '@/api/webSite'
  export default {
    name: "Index",
    data() {
      return {
        channel_id: 0,
        settitle: {
          bottomCopyright: "",
          businessHours: 1,
          companyAddress: "",
          contactTel: "",
          custServiceQrcode: "",
          hotlineTel1: "",
          hotlineTel2: "",
          onlineTimeEnd: "18:00",
          onlineTimeStart: "09:00",
          recordNum: "",
          topLogo: "",
        },
      }
    },
    created() {
      // this.getIndexInfo();
    },
    mounted() {
      //this.nextStep();
    },
    methods: {
      /** 获取 channel_id */
      getIndexInfo() {
        let op = 'open'
        let ssa = window.location.host
        const data = {
          type: 2,
          site_type: 4,
          // domain: ssa,
        }
        indexInfo(data).then(res => {
          if (res.code == 1) {
            this.channel_id = res.data.channel.id
            this.settitle.topLogo = res.data.channel_site[0].logo
            // this.getWebSite()
          }
        })
      },
      /** 获取通用设置 */
      getWebSite() {
        let params = {
          domain: window.location.host,
          type: 2,
          site_type: 4
        }
        webSite(params).then(res => {
          if (res.code == 1) {
            // if (res.data.universal_lst && res.data.universal_lst != 'null') {
            //   this.settitle = res.data.universal_lst
            // }
            this.settitle.topLogo = res.data.channel_site[0].logo
          }
        })
      },
      nextStep() {
        this.$router.push("/fillMainInf");
      },
    }
  }
</script>

<style lang="scss" type="text/stylus" scoped>
.entryDetails {
  font-size : 16px;
  width: 100%;
  height: 100%;
  overflow-x: hidden;
  overflow-y: scroll;
}
.logo-bg {
  height: 60px;
  background: #1890ff;
  img {
    height: 44px;
    margin: 8px 0 8px 20px;
  }
}
.main-con {
  width: 70%;
  //height : 100%;
  margin: 30px auto 0;
  img {
    width: 100%;
    height: calc(100% + 220px);
    margin: 0 0;
  }
}

.confirm-btn {
  height: 100px;
  width: 50%;
  margin: 30px auto 0;
  //position: absolute;
  p {
    text-align : center;
  }
  p:nth-child(2) {
    color: red;
    font-size: 10px;
  }
}
</style>
